Page MenuHomePhabricator

Diff pages show rollback confirmation prompt if there is the "Mark as patrolled" link
Closed, ResolvedPublic

Description

This is happening on it.wiki regardless of users preferences and as far as I can tell is probably caused by https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/598137/

Event Timeline

Sakretsu created this task.Jun 5 2020, 12:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2020, 12:10 AM
Ferdi2005 added a subscriber: Ferdi2005.EditedJun 5 2020, 11:03 AM

This is a serious bug and slows down work on wikis, please fix it urgently. Now that piece of code isn’t reading the user preferences and asking always rollback confirmation, so I’d like to kindly ask you to fix it, thanking you in advance.

Ferdi2005 triaged this task as Unbreak Now! priority.Jun 5 2020, 11:03 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 5 2020, 11:03 AM
Wim_b added a subscriber: Wim_b.Jun 5 2020, 11:04 AM

@Ferdi2005: Please see and follow https://www.mediawiki.org/wiki/Bug_management/Phabricator_etiquette to avoid phrases like "you aren't caring". Thanks!

Ferdi2005 added a comment.EditedJun 5 2020, 11:40 AM

Fixed @Aklapper, sorry, but I think that I wrote badly a sentence to tell you about the bug, I’d rather mean that the piece of code isn’t reading the user preference. I fixed it anyway

Teles added a subscriber: Teles.Jun 7 2020, 9:22 PM

Hello! This is happening on pt.wiki too. I just tested it. The rollback button requires confirmation even when set not to do it on preferences. When the revision is marked as patrolled, confirmation is not requested and the revision is promptly reverted.

Mbch331 added a subscriber: Mbch331.Jun 8 2020, 1:32 PM

Change 603520 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] Revert "resources: Bundle ajax patrol and ajax rollback code"

https://gerrit.wikimedia.org/r/603520

Majavah added a subscriber: Majavah.Jun 8 2020, 3:42 PM
Krinkle claimed this task.Jun 8 2020, 4:32 PM

Change 603520 abandoned by Urbanecm:
Revert "resources: Bundle ajax patrol and ajax rollback code"

Reason:
okay, thanks Krinkle

https://gerrit.wikimedia.org/r/603520

Change 603536 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] mediawiki.misc-authed-curate: Check for 'showrollbackconfirmation' preference

https://gerrit.wikimedia.org/r/603536

Change 603544 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@wmf/1.35.0-wmf.35] mediawiki.misc-authed-curate: Check for 'showrollbackconfirmation' preference

https://gerrit.wikimedia.org/r/603544

Change 603536 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.misc-authed-curate: Check for 'showrollbackconfirmation' preference

https://gerrit.wikimedia.org/r/603536

Change 603544 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.35] mediawiki.misc-authed-curate: Check for 'showrollbackconfirmation' preference

https://gerrit.wikimedia.org/r/603544

Mentioned in SAL (#wikimedia-operations) [2020-06-08T17:43:16Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.35/resources/src/mediawiki.misc-authed-curate/rollback.js: Fix: Diff pages show rollback confirmation prompt if there is the "Mark as patrolled" link (T254538) (duration: 00m 59s)

Ladsgroup closed this task as Resolved.Jun 8 2020, 5:44 PM
Thibaut120094 added a subscriber: Thibaut120094.